Description

Hello,

Some months ago I reported what I believed to be a bug in transforming East German Krassovski coordinates to other projections like

UTM. I was tought that due to limitations in Proj.4 there is only one transformation for each EPSG code, so there is no choice of

transformation. Compared to ArcGIS that's a serious disadvantage. It can easily be overcome by the knowable, in case of the east

German transformation you just have to edit the +towgs part (change to +towgs84=24,-123,-94,0.02,-0.25,-0.13,1.1).

However I doubt that it makes sense to get users into trouble like that if it can easily be prevented. There is a long-standing precise

official transformation for Gauß-Krüger (Bessel) to UTM in Germany called Beta2007, but for reasons I don't (want to) understand it's not

delivered with the QGIS package so far. We are in Germany in the middle of a process switching from Gauß-Krüger to UTM. But every

time users use QGIS to reproject data they introduce shifts of up to 3 meters (indeed quite exactly 3 meters in the southwest of

Germany). For my part, I can't use QGIS if I have to be afraid that the data I deliver have to be considered as faulty, if I (or others) need

sub-meter precision.

Meanwhile I found the solution, which should be delivered as default:

    1. Download BETA2007.gsb, official site: http://crs.bkg.bund.de/crseu/crs/descrtrans/BeTA/BETA2007.gsb

    2. Save it to the <QGIS program path>\\share\\proj

    3. Add custom CRSs (On the long run they should replace the existing EPSG declarations):

    Name: GK2 DHDN / Bessel (Beta2007) EPSG 31466

    Parameter: +proj=tmerc +lat_0=0 +lon_0=6 +k=1 +x_0=2500000 +y_0=0 +ellps=bessel  +units=m +nadgrids=BETA2007.gsb

+no_defs

    Name: GK3 DHDN / Bessel (Beta2007) EPSG 31467

    Parameter: +proj=tmerc +lat_0=0 +lon_0=9 +k=1 +x_0=3500000 +y_0=0 +ellps=bessel  +units=m +nadgrids=BETA2007.gsb

+no_defs

    Name: GK3 DHDN / Bessel (Beta2007) EPSG 31468

    Parameter: +proj=tmerc +lat_0=0 +lon_0=12 +k=1 +x_0=4500000 +y_0=0 +ellps=bessel  +units=m +nadgrids=BETA2007.gsb

+no_defs

I think QGIS is a great achievement, and I'm grateful to everybody who takes part in the concerted efforts of developing it. It would be

a pity if its usefulness is severly limited by such an issue.

Related issues:

Duplicated by QGIS Application - Feature request # 14574: Integration of NTv2... Closed 2016-03-26

History

#1 - 2016-03-26 11:29 AM - Jürgen Fischer

The grid references were meanwhile added, but the grid itself is not included.   It's still unclear whether it's ok to redistribute the grid.
http://crs.bkg.bund.de/crseu/crs/descrtrans/BeTA/BETA2007.gsb


#2 - 2016-03-26 11:32 AM - Jürgen Fischer

I contacted Uwe (contact of the grid) about the it's licensing.

#3 - 2016-03-29 03:28 AM - Jürgen Fischer

Pull Request PROJ.4 !#371 to add BETA2007.gsb to proj.4 submitted

#4 - 2016-03-30 07:48 AM - Jürgen Fischer

proj-beta2007 package added to osgeo4w

#5 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#6 - 2019-05-24 08:03 AM - Nyall Dawson

- Resolution set to up/downstream

- Description updated

- Status changed from Open to Closed

With QGIS 3.8 and the release of proj 6 library, any remaining projection definition related issues now should be filed with the proj project.
http://crs.bkg.bund.de/crseu/crs/descrtrans/BeTA/de_dhdn2etrs_beta.php
https://github.com/OSGeo/proj.4/pull/371

